Knowledge Base

The VMware Knowledge Base provides support solutions, error messages and troubleshooting guides
 
Search the VMware Knowledge Base (KB)   View by Article ID
 

Upgrading from vCenter Server 4.1 to 5.0 fails with the error: Could not write value Version to key "\SOFTWARE\VMware, Inc.\VMware Infrastructure\JRE" (2008087)

Symptoms

  • Cannot upgrade from vCenter Server 4.1 to 5.0
  • When upgrading from vCenter Server 4.1 to 5.0 using the install .ISO image, the installation fails
  • Upgrading from vCenter Server 4.1 to 5.0 fails
  • You see one of these errors:

    Error 1406.Could not write value Version to key "\SOFTWARE\VMware, Inc.\VMware Infrastructure\JRE"
    Error 1406. Could not write value version to key \SOFTWARE\VMware, Inc.\VMware *

Cause

This issue occurs when the registry key that the vCenter Server install package is trying to modify does not exist and may occur if the previous installed products were not successfully uninstalled.

Resolution

To resolve this issue, completely uninstall vCenter Server and its components and then perform a fresh installation.

Impact/Risks

This may require multiple reboots of the vCenter Server host operating system.

Tags

upgrade-vcenter-fails-error

See Also

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 1 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.
What can we do to improve this information? (4000 or fewer characters)
  • 1 Ratings
Actions
KB: